package cn.freemud.platform.sdk.hualala.request;

import cn.freemud.platform.sdk.hualala.vo.WechatOrderMasterVo;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: ${FILE_NAME}
 * @Package com.freemud.mail.core
 * @Description: ${TODO}(用一句话描述该文件做什么)
 * @author: aiqi.gong
 * @date: 2019/3/18 21:27
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public class SubmitOrderNewV2Request {
    /**
     * 0 默认 不需要收银台数据， 1 需要收银台数据
     */
    private Integer isCheackOut = 0;
    /**
     * 是否包含第三方支付 1不包含，2包含(单纯核销哗啦啦会员卡的话传1)
     */
    private Integer isThirdPay = 2;
    /**
     * weChat微信 aliPay支付宝
     */
    private String bankCode = "weChat";
    /**
     * 订单信息
     */
    private WechatOrderMasterVo order;
    /**
     * 是否推送订单消息到saas（0、不推，1、推）
     */
    private Integer isSentMsg = 1;
    /**
     * 商户自己的订单号，唯一
     */
    private String thirdOrderID;
    /**
     * 240：类型 堂食、闪吃，120：外送，121：自提 ，与order中orderSubType要对应
     */
    private Integer msgType;
    /**
     * 支付状态，非哗啦啦支付后付必传
     */
    private Integer orderStatus;
    /**
     * 实付金额，非哗啦啦支付后付必传
     */
    private Integer paidTotalAmount;
    private Long groupID;
    private Long shopID;

    public Integer getIsCheackOut() {
        return isCheackOut;
    }

    public void setIsCheackOut(Integer isCheackOut) {
        this.isCheackOut = isCheackOut;
    }

    public Integer getIsThirdPay() {
        return isThirdPay;
    }

    public void setIsThirdPay(Integer isThirdPay) {
        this.isThirdPay = isThirdPay;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public WechatOrderMasterVo getOrder() {
        return order;
    }

    public void setOrder(WechatOrderMasterVo order) {
        this.order = order;
    }

    public Integer getIsSentMsg() {
        return isSentMsg;
    }

    public void setIsSentMsg(Integer isSentMsg) {
        this.isSentMsg = isSentMsg;
    }

    public String getThirdOrderID() {
        return thirdOrderID;
    }

    public void setThirdOrderID(String thirdOrderID) {
        this.thirdOrderID = thirdOrderID;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getPaidTotalAmount() {
        return paidTotalAmount;
    }

    public void setPaidTotalAmount(Integer paidTotalAmount) {
        this.paidTotalAmount = paidTotalAmount;
    }

    public Long getGroupID() {
        return groupID;
    }

    public void setGroupID(Long groupID) {
        this.groupID = groupID;
    }

    public Long getShopID() {
        return shopID;
    }

    public void setShopID(Long shopID) {
        this.shopID = shopID;
    }
}
